Subject: Re: [ISSUE] Stop accessing, storing, and sharing the user's time zone

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Dec 2019 09:43:54 -0800

"Randall S. Becker" <[email-masked]> writes:

> .... I currently am
> running a repository located at UTC+2, with developers at
> UTC-5. It is driving us a bit wonky. I would rather see only UTC.

If "seeing" is the primary reason (i.e. you want to compare times
your people worked on their commits), you can always do that on the
display side (e.g. "git log --date=local").  It is not a good excuse
to advocate for information loss.

I also feel that TZ being PII is not particularly a brilliant
argument against recording TZ---of course it is PII, so are the
committer e-mail address and the committer name.  Those who want to
hide can hide but in order to keep track of provenance who did what
when, we do record them.

As you can guess from the above reasoning, I am not fundamentally
opposed to introducing user.tz to complement existing user.name and
user.email configuration variables.